Subject: Re: After update from 1.5.18 to 1.5.19, xemacs 21.4.13 can only run from bash
From: René Berber <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 27 Jan 2006 15:26:26 -0600

Karr, David wrote:

> I have a desktop icon for running Xemacs 21.4.13.  This has been working
> fine.  Just today, I upgraded Cygwin from 1.5.18 to 1.5.19.  Now when I
> double-click the icon, it does nothing.  I then tried pasting the path
> to it into a DOS cmd prompt, and it still does nothing.  I then executed
> it directly from a bash prompt, and that worked.

And the command you are running is?

> I have a similar icon for 21.4.18, and that doesn't demonstrate the same
> problem, although 21.4.18 always runs a cmd window in the background,
> which 21.4.13 does not.

I think what affected your installation is a change of version of Xemacs not the
Cygwin dll.

This works for me with no problem:

  C:\cygwin\bin\run.exe xemacs

that is the target of the shortcut.  If you set the icon of this shortcut to use
the xemacs executable icon (i.e. C:\Cygwin\bin\xemacs-21.4.18.exe) that will
show the icon until the next change of version.

HTH
-- 
René Berber

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/